Skip to main content
ExLibris
  • Subscribe by RSS
  • Ex Libris Knowledge Center

    Security Update - Chrome Security Alert for Non-TLS sites – Updated Sept 24, 2017

    Subject: Chrome Security Alert for Non-TLS sites – Updated Sept 24, 2017

    Overview:

    Beginning in October 2017, Chrome will show the “Not secure” warning when users enter data on an HTTP page.  It is Google’s plan to label HTTP sites as non-secure in gradual steps, based on increasingly broad criteria.  Starting in version 62 Chrome will show the “Not secure” warning when users type data into HTTP sites[1].

    Ex Libris supported systems:

    See Knowledge article, Customer Announcement - Ex Libris products supporting HTTPS.

    Tests and Certifications:

    Systems with HTTPS capabilities have been tested and certified.

    Actions for Hosted Systems:

    In the table below listed in “Customer Announcement Ex Libris products supporting HTTPS,” action is required for hosted systems only.  The request must be made through Salesforce by following the procedure.  

    Required Actions for On-Premise and Local Systems: 

    Where applicable, implement the product’s TLS configuration.